Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.graph
Class ArcDeleteOperation

    java.lang.Object
      org.apache.cayenne.graph.NodeDiff
          org.apache.cayenne.graph.ArcDeleteOperation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, GraphDiff

    public class ArcDeleteOperation

extends NodeDiff

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `arcId`
`protected java.lang.Object` | `targetNodeId`

Fields inherited from class org.apache.cayenne.graph.NodeDiff
`diffId, nodeId`

Constructor Summary
`ArcDeleteOperation(java.lang.Object nodeId, java.lang.Object targetNodeId, java.lang.Object arcId)`
`ArcDeleteOperation(java.lang.Object nodeId, java.lang.Object targetNodeId, java.lang.Object arcId, int diffId)`

Method Summary
`void` | `apply(GraphChangeHandler tracker)` Calls appropriate methods on the handler to "replay" this change.
`java.lang.Object` | `getArcId()`
`java.lang.Object` | `getTargetNodeId()`
`void` | `undo(GraphChangeHandler tracker)` Calls appropriate methods on the handler to revert this change.

Methods inherited from class org.apache.cayenne.graph.NodeDiff
`compareTo, getDiffId, getNodeId, isNoop, setDiffId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetNodeId

    protected java.lang.Object targetNodeId

### arcId

    protected java.lang.Object arcId

Constructor Detail

### ArcDeleteOperation

    public ArcDeleteOperation(java.lang.Object nodeId,
                              java.lang.Object targetNodeId,
                              java.lang.Object arcId)

### ArcDeleteOperation

    public ArcDeleteOperation(java.lang.Object nodeId,
                              java.lang.Object targetNodeId,
                              java.lang.Object arcId,
                              int diffId)

Method Detail

### apply

    public void apply(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to "replay" this change.

  Specified by:
    `apply` in interface `GraphDiff`
  Specified by:
    `apply` in class `NodeDiff`

### undo

    public void undo(GraphChangeHandler tracker)

  Description copied from interface: `GraphDiff`
  Calls appropriate methods on the handler to revert this change.

  Specified by:
    `undo` in interface `GraphDiff`
  Specified by:
    `undo` in class `NodeDiff`

### getArcId

    public java.lang.Object getArcId()

### getTargetNodeId

    public java.lang.Object getTargetNodeId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.